#!/bin/bash
#
# processname: mpdscribble
# description: mpdscribble
# chkconfig: - 85 15

. /etc/init.d/functions

RETVAL=0
prog=mpdscribble
executable=/usr/bin/$prog

lockfile=/var/lock/subsys/$prog
pidfile=/var/run/$prog.pid

[ -f /etc/sysconfig/$prog ] && . /etc/sysconfig/$prog

start() {
        echo -n $"Starting $prog: "
        daemon $executable --pidfile $pidfile 2>/dev/null
        RETVAL=$?
        [ $RETVAL -eq 0 ] && touch $lockfile
        echo
}

stop() {
        echo -n $"Stopping $prog: "
        killproc -p $pidfile
        RETVAL=$?
        [ $RETVAL -eq 0 ] && rm -f $lockfile
        echo
}

case "$1" in
  start)
        start
        ;;
  stop)
        stop
        ;;
  reload|restart)
        stop
        start
        RETVAL=$?
        ;;
  condrestart)
        if [ -f $lockfile ]; then
            stop
            start
        fi
        ;;
  status)
        status -p $pidfile
        RETVAL=$?
        ;;
  *)
        echo $"Usage: $0 {condrestart|start|stop|restart|reload|status}"
        exit 1
esac

exit $RETVAL
