%if 0%{?fedora} > 17
%global mpdscribble_user mpdscribble
%global mpdscribble_group mpdscribble
%else
%global mpdscribble_user root
%global mpdscribble_group root
%endif


Name:           mpdscribble
Version:        0.22
Release:        4%{?dist}
Summary:        A mpd client which submits information about tracks being played to Last.fm
Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://mpd.wikia.com/wiki/Client:Mpdscribble
Source0:        http://downloads.sourceforge.net/musicpd/%{name}-%{version}.tar.bz2
Source1:        %{name}.init.d
Source2:        %{name}.service
Source3:        %{name}.tmpfiles.conf
BuildRequires:  glib2-devel libsoup-devel
BuildRequires:  libmpdclient-devel >= 2.2
#Initscripts
%if 0%{?fedora} > 17
# Users and groups
Requires(pre): shadow-utils
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd
%else
Requires(post): chkconfig
Requires(preun):chkconfig
Requires(preun):initscripts
%endif


%description
mpdscribble is a music player daemon (mpd) client which submits information
about tracks being played to Last.fm (formerly audioscrobbler)


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT

%if 0%{?fedora} > 17
install -D -m 0644 -p %{SOURCE2} $RPM_BUILD_ROOT%{_unitdir}/%{name}.service
install -D -m 0644 -p %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/tmpfiles.d/%{name}.conf
install -d $RPM_BUILD_ROOT%{_localstatedir}/run/%{name}
%else
#init scripts
install -D -m 0755 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/%{name}
%endif

# Make room for logs
install -d $RPM_BUILD_ROOT%{_localstatedir}/cache/%{name}


%pre
%if 0%{?fedora} > 17
getent group %{name} >/dev/null || groupadd -r %{name}
getent passwd %{name} >/dev/null || \
useradd -r -g %{name} -d %{_localstatedir}/cache/%{name} -s /sbin/nologin \
-c "Mpdscribble" %{name} 2>/dev/null || :
%endif


%post
%if 0%{?fedora} > 17
%systemd_post %{name}.service
%else
/sbin/chkconfig --add %{name}
%endif


%preun
%if 0%{?fedora} > 17
%systemd_preun %{name}.service
%else
if [ $1 = 0 ]; then
 /sbin/service %{name} stop > /dev/null 2>&1
 /sbin/chkconfig --del %{name}
fi
%endif


%if 0%{?fedora} > 17
%triggerun -- %{name} < 0.22
# Save the current service runlevel info
# User must manually run systemd-sysv-convert --apply opensips
# to migrate them to systemd targets
/usr/bin/systemd-sysv-convert --save %{name} >/dev/null 2>&1 ||:

# Run these because the SysV package being removed won't do them
/sbin/chkconfig --del %{name} >/dev/null 2>&1 || :
/bin/systemctl try-restart %{name}.service >/dev/null 2>&1 || :

chown -R %{mpdscribble_user}:%{mpdscribble_group} %{_localstatedir}/cache/%{name}
chown -R %{mpdscribble_user}:%{mpdscribble_group} %{_sysconfdir}/%{name}.conf
%endif


%files
%doc AUTHORS COPYING NEWS README
%attr(0644,%{mpdscribble_user},%{mpdscribble_group}) %config(noreplace) %{_sysconfdir}/mpdscribble.conf
%{_bindir}/mpdscribble
%{_mandir}/man1/mpdscribble.1.gz
%if 0%{?fedora} > 17
%{_unitdir}/%{name}.service
%{_sysconfdir}/tmpfiles.d/%{name}.conf
%attr(0755, %{mpdscribble_user},%{mpdscribble_group}) %dir %{_localstatedir}/run/%{name}
%else
%{_sysconfdir}/rc.d/init.d/%{name}
%endif
%exclude %{_datadir}/doc/*
%attr(0755,%{mpdscribble_user},%{mpdscribble_group}) %dir %{_localstatedir}/cache/%{name}


%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.22-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jan 23 2013 Peter Lemenkov <lemenkov@gmail.com> - 0.22-3
- Fixed tmpfiles entry (see rhbz #894364)

* Sun Sep 16 2012 Peter Lemenkov <lemenkov@gmail.com> - 0.22-2
- Fix building

* Tue Sep 04 2012 Peter Lemenkov <lemenkov@gmail.com> - 0.22-1
- Ver. 0.22
- Switch to systemd
- Dropped outdated stuff from spec-file

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.18.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.18.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.18.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Oct 26 2009 Jaroslaw Gorny <jaroslaw dot gorny at gmail dot com> - 0.18.1-1
- Version bumped to 0.18.1
- init-script added

* Tue Feb 03 2009 Jaroslaw Gorny <jaroslaw dot gorny at gmail dot com> - 0.16-1
- Version bumped to 0.16
- There's a systemwide config file now

* Sun Dec 21 2008 Jaroslaw Gorny <jaroslaw dot gorny at gmail dot com> - 0.13-1
- Initial RPM
